angular.module('starter.noticeServices', [])

//----------------------------------------------------------------------
// 消息模块Factory
//----------------------------------------------------------------------
.factory('News', function() {
  var news = [{
    id: 0,
    name: '红包消息',
    icon: 'icon ion-ios-albums',
    url: 'reward'
  }, {
    id: 1,
    name: '公告消息',
    icon: 'icon ion-laptop',
    url: 'affiche'
  }, {
    id: 2,
    name: '课程消息',
    icon: 'icon ion-monitor',
    url: 'course'
  }, {
    id: 3,
    name: '退款协商',
    icon: 'icon ion-ios-paper-outline',
    url: 'refund'
  }];

  return {
    all: function() {
      return news;
    },
    remove: function(new1) {
      news.splice(news.indexOf(new1), 1);
    },
    get: function(newsId) {
      for (var i = 0; i < news.length; i++) {
        if (news[i].id === parseInt(newsId)) {
          return news[i];
        }
      }
      return null;
    }
  };
});