
var db;
var latitude;
var longitude;
var provinceList;
// 时间Format
Date.prototype.format = function(format) {
    var o = {
        "M+" : this.getMonth()+1, // month
        "d+" : this.getDate(),    // day
        "h+" : this.getHours(),   // hour
        "m+" : this.getMinutes(), // minute
        "s+" : this.getSeconds(), // second
        "q+" : Math.floor((this.getMonth()+3)/3),  // quarter
        "S" : this.getMilliseconds() // millisecond
    };
    if (/(y+)/.test(format)) {
        format=format.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
    }
    for(var k in o) {
        if (new RegExp("("+ k +")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length==1 ? o[k] : ("00"+ o[k]).substr((""+ o[k]).length));
        }
    }
    return format;
};

var module = angular.module('starter', ['ionic', 'ngIOS9UIWebViewPatch', 'ngCordova', 'starter.versionUpServices', 'starter.agentController', 'starter.courseController', 'starter.noticeController', 'starter.userController', 'starter.agentServices', 'starter.courseServices', 'starter.noticeServices', 'starter.userServices', 'starter.services'])

        .run(function($state, Constants, Network, $ionicPlatform, $cordovaSQLite, InmobiService,ChanceService, $cordovaGeolocation, $cordovaToast, CheckLogin, $rootScope, $ionicPopup, $ionicHistory, $cordovaFile) {
            // $rootScope.$on('$stateChangeSuccess',function(event, toState, toParams, fromState, fromParams){
            //    if(navigator.connection.type == Connection.NONE) {
            //        $cordovaToast.showShortCenter('网络异常，请检查网络');
            //        return false;
            //      }
            //  });

            $ionicPlatform.ready(function() {
                if (window.cordova) {
                    db = $cordovaSQLite.openDB("haobandb.db"); //device
                } else {
                    db = window.openDatabase("haobandb.db", '1', 'haoban', 1024 * 1024 * 100); // browser
                }

                $ionicPlatform.registerBackButtonAction(function(event) {
                    if ($state.current.name == 'tab.course' || $state.current.name == 'tab.user' || $state.current.name == 'reward') {
                        var confirmPopup = $ionicPopup.confirm({
                            title: '退出应用',
                            template: '是否确定退出应用?',
                            buttons: [{
                                text: "取消"
                            }, {
                                text: "<b>确定</b>",
                                type: "button-positive",
                                onTap: function(e) {
                                    return true;
                                }
                            }]
                        });
                        confirmPopup.then(function(res) {
                            if(res) {
                                console.log('退出应用');
                                umeng.onKillProcess();
                                ionic.Platform.exitApp();
                            } else {
                                console.log('继续使用');
                            }
                        });

                    } else {
                        $ionicHistory.goBack();
                    }
                }, 100);
                // $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS Area (id INTEGER IDENTITY(1,1) PRIMARY KEY, area_code TEXT, area_name TEXT,top_code TEXT)').then(function(result) {
                //    $cordovaSQLite.execute(db, 'SELECT * FROM Area WHERE top_code ="0"').then(function(res) {
                //       if (res.rows.length > 0) {
                //           provinceList=res;
                //       }else{
                //         Network.loading({},"/api/mst_area/getProvince",function(data){
                //           provinceList=data.data.data;
                //           for(province in provinceList){
                //             $cordovaSQLite.execute(db, 'INSERT INTO Area (area_code, area_name, top_code)VALUES (?,?,?)', [province.area_code+'',province.area_name+'','0']).then(function(result) {
                //               console.log('区域信息插入保存成功'+result);
                //             }, function(error) {
                //               console.log(error);
                //               console.log('区域信息插入保存失败'+error);
                //             });
                //           };
                //         });
                //       };
                //    });
                // });



                $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS Login (id INTEGER PRIMARY KEY AUTOINCREMENT, user_id TEXT, flag TEXT)').then(function(result) {
                    var userId;
                    console.log('创建成功' + result);
                    CheckLogin.checkLogin(function(res) {
                        if (res !== null) {
                            userId = res;
                            $rootScope.userIds = res;
                        }
                        $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS Integration (id INTEGER IDENTITY(1,1) PRIMARY KEY, login_date TEXT, user_id TEXT)').then(function(result) {
                            $cordovaSQLite.execute(db, 'SELECT * FROM Integration WHERE user_id ="'+userId+'"').then(function(res) {

                                var addIntegration = function(userId, integration){
                                    Network.loading({ids:userId+'', point:integration}, "/api/user/addPointForUser", function(data){
                                        console.log(data);
                                    });
                                };

                                var newday = new Date().format('yyyy-MM-dd');
                                if (res.rows.length > 0) {
                                    console.log(res.rows.item(0));
                                    var data=new Date(res.rows.item(0).login_date).format('yyyy-MM-dd');
                                    if (newday > data) {
                                        addIntegration(userId,'3');
                                        $cordovaToast.showShortCenter('每日登陆积分 +3');
                                        newday = newday + '';
                                        $cordovaSQLite.execute(db, 'UPDATE Integration SET login_date = "' + newday + '" WHERE user_id ="' + userId + '"').then(function(result) {
                                            console.log('时间信息更新成功' + result);
                                        }, function(error) {
                                            console.log('时间信息更新失败' + error);
                                        });
                                    }
                                }
                            }, function(error) {
                                $scope.statusMessage = "Error on checking: " + error.message;
                            });
                        }, function(error) {
                            console.log('创建失败'+error);
                        });
                    });
                }, function(error) {
                    console.log('创建失败'+error);
                });

                $cordovaSQLite.execute(db, 'CREATE TABLE IF NOT EXISTS setInfo (id INTEGER PRIMARY KEY AUTOINCREMENT,flag TEXT)').then(function(result) {
                    console.log('创建成功'+result);
                }, function(error) {
                    console.log('创建失败'+error);
                });

                $rootScope.report = function() {
                    popu = $ionicPopup.show({
                        template: "<input type='text' ng-model='$root.reportInfo' placeholder='请输入不超过50字的举报内容' maxlength='50'>",
                        title: "举报",
                        scope: $rootScope,
                        buttons: [{
                            text: "取消"
                        }, {
                            text: "<b>提交</b>",
                            type: "button-positive",
                            onTap: function(e) {
                                if ($rootScope.reportInfo == null || $rootScope.reportInfo == '') {
                                    $cordovaToast.showShortCenter('请输入举报内容');
                                    $rootScope.reportInfo = null;
                                    e.preventDefault();
                                } else {
                                    var json = {
                                        content: $rootScope.reportInfo
                                    };
                                    Network.loading(json, "/api/user/ReportCentre", function(data) {
                                        $cordovaToast.showShortCenter('举报内容已提交，感谢您的支持');
                                        $rootScope.reportInfo = null;
                                    });
                                }
                            }
                        }]
                    });
                };

                $rootScope.listLength = Constants.pageItem;
                if(navigator.connection.type == Connection.NONE) {
                    $ionicPopup.alert({title: "警告",
                        template: "当前没有网络,请确定网络"
                    });
                    $rootScope.isReward = 0;
                    if (cordova && cordova.file && cordova.file.dataDirectory) {
                        $cordovaFile.checkFile(cordova.file.dataDirectory, 'first.txt').then(function (success) {
                            $rootScope.isFirst = false;
                            $state.go("tab.course");
                        }, function (error) {
                            //inmobi激活
                            if(ionic.Platform.isIOS()){
                                InmobiService.activate();
                                ChanceService.activate();
                            }
                            $rootScope.isFirst = true;
                            $cordovaFile.createFile(cordova.file.dataDirectory, 'first.txt', true).then(function (success) {
                                $state.go("reward");
                            }, function (error) {
                                $state.go("reward");
                            });
                        });
                    } else {
                        $rootScope.isFirst = false;
                        $state.go("tab.course");
                    }
                }

                //初始化友盟插件
                umeng.init();
                //设置友盟统计Debug模式，上线时候需要改为false
                umeng.setDebugMode(true);
                //添加Resume监听事件
                $ionicPlatform.on('resume', function(data){
                    umeng.onResume();
                });
                //添加Pause监听事件
                $ionicPlatform.on('pause', function (data) {
                    umeng.onPause();
                });

                ionic.Platform.isFullScreen = true;
                if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                    cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
                    if (ionic.Platform.isIOS()) {
                        cordova.plugins.Keyboard.disableScroll(true);
                    }
                }
                if (window.StatusBar) {
                    StatusBar.styleLightContent();
                }

                Network.loading({}, "/api/mst_area/getProvince", function(data) {
                    $rootScope.provinceList = data.data.data;
                });
                if (ionic.Platform.isIOS()) {
                    var posOption = {enableHighAccuracy: true};
                    //  navigator.geolocation.
                    $cordovaGeolocation.getCurrentPosition(posOption).then(function(position) {
                        latitude = position.coords.latitude + '';
                        longitude = position.coords.longitude + '';
                    }, function(err) {
                        switch(err.code) {
                            case err.TIMEOUT :
                                $cordovaToast.showShortCenter('连接超时，请重试');
                                break;
                            // case err.PERMISSION_DENIED :
                            //         $cordovaToast.showShortCenter('您拒绝了使用位置共享服务')
                            //         break;
                            case err.POSITION_UNAVAILABLE :
                                $cordovaToast.showShortCenter('无法获取到地理位置信息');
                                break;
                        }
                    });
                } else {
                    baidu_location.getCurrentPosition(function(json) {
                        console.log(json);
                        latitude = json.latitude + '';
                        longitude = json.lontitude + '';
                    }, function(err) {
                        console.log(err);
                    });
                }
            });


        })

        .config(function($stateProvider, $urlRouterProvider, $httpProvider, $ionicConfigProvider) {

            $httpProvider.defaults.headers.post["Content-Type"] = "application/x-www-form-urlencoded";

            // 禁止滑动返回
            $ionicConfigProvider.views.swipeBackEnabled(false);
            // tabBar置下
            $ionicConfigProvider.tabs.position("bottom");
            // navBar标题居中
            $ionicConfigProvider.navBar.alignTitle("center");
            // 返回按钮标题置空
            $ionicConfigProvider.backButton.text('').icon('ion-chevron-left').previousTitleText(false);
            $stateProvider

                // state路由配置
                    .state('reward', {
                        url: "/reward",
                        templateUrl: "templates/reward-guide.html",
                        resolve: {
                            init: function(InitConfig) {
                                return InitConfig.initialize();
                            }
                        },
                        data: {
                            requireLogin: false
                        },
                        controller: 'RewardCtrl'
                    })

                    .state('tab', {
                        url: "/tab",
                        abstract: true,
                        templateUrl: "templates/tabs.html",
                        resolve: {
                            init: function(InitConfig) {
                                return InitConfig.initialize();
                            }
                        },
                        data: {
                            requireLogin: false
                        },
                        controller: 'TabCtrl'
                    })

                    .state('tab.notice', {
                        url: '/notice',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/tab-notice.html',
                                controller: 'NoticeCtrl'
                            }
                        }
                    })
                    .state('tab.reward', {
                        url: "/reward/:rewardId",
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-reward-detail.html',
                                controller: 'RewardInfoCtrl'
                            }
                        }
                    })

                    .state('tab.notice-reward', {
                        url: '/notice/reward',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-reward.html',
                                controller: 'NoticeRewardCtrl'
                            }
                        }
                    })

                    .state('tab.map', {
                        url: '/agent/agentmap/map',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/map.html',
                                controller: 'MapCtrl'
                            }
                        }
                    })

                    .state('tab.agent-agent-map', {
                        url: '/agent/map/:lon:lat:address:name:instruction:identity:distance:grade',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/map.html',
                                controller: 'AgentMapCtrl'
                            }
                        }
                    }).state('tab.agent-course-map', {
                        url: '/course/map/:lon:lat:address:name:instruction:identity:distance:grade',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/map.html',
                                controller: 'AgentMapCtrl'
                            }
                        }
                    }).state('tab.agent-user-map', {
                        url: '/user/map/:lon:lat:address:name:instruction:identity:distance:grade',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/map.html',
                                controller: 'AgentMapCtrl'
                            }
                        }
                    })

                    .state('tab.notice-affiche', {
                        url: '/notice/affiche',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-affiche.html',
                                controller: 'NoticeAfficheCtrl'
                            }
                        }
                    })

                    .state('tab.affiche-detail', {
                        url: '/notice/affiche/:afficheIds',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-affiche-detail.html',
                                controller: 'NoticeDetailCtrl'
                            }
                        }
                    })

                    .state('tab.notice-course', {
                        url: '/notice/course',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-course.html',
                                controller: 'NoticeCourseCtrl'
                            }
                        }
                    })

                    .state('tab.notice-refund', {
                        url: '/notice/refund',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/notice/notice-refund.html',
                                controller: 'NoticeRefundCtrl'
                            }
                        }
                    })

                    .state('tab.course', {
                        url: '/course',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/course/tab-course.html',
                                controller: 'CourseCtrl'
                            }
                        }
                    })
                    .state('tab.course-detail', {
                        url: '/course/:courseId:agentId:tabType:status',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/course/course-detail.html',
                                controller: 'CourseDetailCtrl'
                            }
                        }
                    }).state('tab.agent-course-detail', {
                        url: '/agent/courseDetail/:courseId:tabType:status',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/course/course-detail.html',
                                controller: 'CourseDetailCtrl'
                            }
                        }
                    }).state('tab.user-course-detail', {
                        url: '/user/courseDetail/course/:courseId:tabType:status',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/course/course-detail.html',
                                controller: 'CourseDetailCtrl'
                            }
                        }
                    })

                    .state('tab.course-evaluation', {
                        url: '/course/evaluation/:evaluationId+:evaluationType+:tabType',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/course/course-evaluation.html',
                                controller: 'EvaluationCtrl'
                            }
                        }
                    }).state('tab.agent-evaluation', {
                        url: '/agent/evaluation/:evaluationId+:evaluationType+:tabType',
                        views: {
                            'tab-agent':{
                                templateUrl: 'templates/course/course-evaluation.html',
                                controller: 'EvaluationCtrl'
                            }
                        }
                    }).state('tab.user--evaluation', {
                        url: '/user/evaluation/:evaluationId+:evaluationType+:tabType',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/course/course-evaluation.html',
                                controller: 'EvaluationCtrl'
                            }
                        }
                    })

                    .state('tab.user-edit', {
                        url: '/user/user-edit/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-edit.html',
                                controller: 'UserInfoCtrl'
                            }
                        }
                    })

                    .state('tab.user', {
                        url: '/user',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/tab-user.html',
                                controller: 'UserCtrl'
                            }
                        }
                    })
                    .state('tab.goto-evaluation', {
                        url: '/user/evaluation/:orderId:userId:agentId:courseId:agentName:courseName',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-goto-evaluation.html',
                                controller: 'gotoEvaluationCtrl'
                            }
                        }
                    })
                    .state('tab.user-evaluation', {
                        url: '/user/userEvaluation/:orderId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-evaluation.html',
                                controller: 'UserEvaluationCtrl'
                            }
                        }
                    })

                    .state('tab.user-orders', {
                        url: '/user/order/orderform/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-orders.html',
                                controller: 'UserOrdersCtrl'
                            }
                        }
                    })
                    .state('tab.course-orders', {
                        url: '/course/order/orderform/:xid',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/user/user-orders.html',
                                controller: 'UserOrdersCtrl'
                            }
                        }
                    })

                    .state('tab.user-collect', {
                        url: '/user/collect/collectlist/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-collect.html',
                                controller: 'UserCollectCtrl'
                            }
                        }
                    })

                    .state('tab.user-bespeak', {
                        url: '/user/bespeak/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-bespeak.html',
                                controller: 'UserBespeakCtrl'
                            }
                        }
                    })

                    .state('tab.user-purse-paymentdetail', {
                        url: '/user/purse/paymentdetail/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-paymentdetail.html',
                                controller: 'UserPaymentDetailCtrl'
                            }
                        }
                    })

                    .state('tab.user-reward-coupon', {
                        url: '/user/purse/redenvelopevouchers/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-reward-coupon.html',
                                controller: 'UserRewardCouponCtrl'
                            }
                        }
                    })
                    .state('tab.user-reward-cash', {
                        url: '/user/purse/cash/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-reward-cash.html',
                                controller: 'UserRewardCashCtrl'
                            }
                        }
                    })
                    .state('tab.user-change', {
                        url: '/user/change/:mobile',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-change.html',
                                controller: 'UserChangeCtrl'
                            }
                        }
                    })

                    .state('tab.order-detail', {
                        url: '/user/order/:orderId:orderType',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-order-detail.html',
                                controller: 'orderDetailCtrl'
                            }
                        }
                    })

                    .state('tab.password-change', {
                        url: '/user/pswchange/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-password-change.html',
                                controller: 'PasswordChangeCtrl'
                            }
                        }
                    })

                    .state('login', {
                        url: "/login",
                        templateUrl: "templates/user/user-login.html",
                        resolve: {
                            init: function(InitConfig) {
                                return InitConfig.initialize();
                            }
                        },
                        data: {
                            requireLogin: false
                        },
                        controller: 'LoginCtrl'
                    }).state('tab.login', {
                        url: '/login',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-login.html',
                                controller: 'LoginCtrl'
                            }
                        }
                    }).state('tab.clogin', {
                        url: '/login',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/user/user-login.html',
                                controller: 'LoginCtrl'
                            }
                        }
                    }).state('tab.nlogin', {
                        url: '/login',
                        views: {
                            'tab-notice': {
                                templateUrl: 'templates/user/user-login.html',
                                controller: 'LoginCtrl'
                            }
                        }
                    }).state('tab.alogin', {
                        url: '/login',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/user/user-login.html',
                                controller: 'LoginCtrl'
                            }
                        }
                    })

                    .state('tab.user-purse', {
                        url: '/user/purse/:wallet:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-purse.html',
                                controller: 'PurseCtrl'
                            }
                        }
                    })

                    .state('tab.purse-recharge', {
                        url: '/user/purse/recharge/:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-purse-recharge.html',
                                controller: 'RechargeCtrl'
                            }
                        }
                    })

                    .state('tab.purse-withdraw', {
                        url: '/user/purse/withdraw/:wallet:userId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-purse-withdraw.html',
                                controller: 'WithdrawCtrl'
                            }
                        }
                    })

                    .state('tab.user-setting', {
                        url: '/user/setting/:mobile:notice',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-setting.html',
                                controller: 'SettingCtrl'
                            }
                        }
                    })

                    .state('tab.user-feedback', {
                        url: '/user/feedback/:mobile',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-feedback.html',
                                controller: 'FeedbackCtrl'
                            }
                        }
                    })

                    .state('tab.about', {
                        url: '/user/setting/about/:Id',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/user-about-us.html',
                                controller: 'UserAboutCtrl'
                            }
                        }
                    })

                    .state('tab.bankcard-handle', {
                        url: '/user/setting/bankcard/:setId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/bankcard-handle.html',
                                controller: 'BankcardCtrl'
                            }
                        }
                    })

                    .state('tab.bankcard-add', {
                        url: '/user/setting/bankcard/add/:addId',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/user/bankcard-add.html',
                                controller: 'BankcardAddCtrl'
                            }
                        }
                    })


                    .state('tab.agent', {
                        url: '/agent',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/agent/tab-agent.html',
                                controller: 'AgentCtrl'
                            }
                        }
                    })
                    .state('tab.course-agentDetail', {
                        url: '/course/agentDetail/:agentId:tabType:name',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/agent/agent-detail.html',
                                controller:'AgentDetailCtrl'
                            }
                        }
                    }).state('tab.agent-agentDetail', {
                        url: '/agent/agentDetail/:agentId:tabType:name:distance',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/agent/agent-detail.html',
                                controller:'AgentDetailCtrl'
                            }
                        }
                    }).state('tab.user-agentDetail', {
                        url: '/user/agentDetail/:agentId:tabType:name',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/agent/agent-detail.html',
                                controller:'AgentDetailCtrl'
                            }
                        }
                    })

                    .state('tab.agent-course', {
                        url: '/agent/course/:agentId:tabType:distance',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/agent/agent-course.html',
                                controller:'AgentCourseCtrl'
                            }
                        }
                    }).state('tab.course-agent-course', {
                        url: '/course-agent/course/:agentId:tabType',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/agent/agent-course.html',
                                controller:'AgentCourseCtrl'
                            }
                        }
                    }).state('tab.user-agent-course', {
                        url: '/user-agent/course/:agentId:tabType',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/agent/agent-course.html',
                                controller:'AgentCourseCtrl'
                            }
                        }
                    })

                    .state('tab.course-teacher', {
                        url: '/course/teacher/:agentId:type',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/agent/agent-teacher.html',
                                controller: 'TeacherCtrl'
                            }
                        }
                    }).state('tab.agent-teacher', {
                        url: '/agent/teacher/:agentId:type',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/agent/agent-teacher.html',
                                controller: 'TeacherCtrl'
                            }
                        }
                    }).state('tab.user-teacher', {
                        url: '/user/teacher/:agentId:type',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/agent/agent-teacher.html',
                                controller: 'TeacherCtrl'
                            }
                        }
                    })

                    .state('tab.course-pay', {
                        url: '/course/pay/:courseid:userid:name:price:agentid',
                        views: {
                            'tab-course': {
                                templateUrl: 'templates/pay-affirm.html',
                                controller: 'PayCtrl'
                            }
                        }
                    }).state('tab.agent-course-pay', {
                        url: '/agent/pay/:courseid:userid:name:price:agentid',
                        views: {
                            'tab-agent': {
                                templateUrl: 'templates/pay-affirm.html',
                                controller: 'PayCtrl'
                            }
                        }
                    }).state('tab.user-course-pay', {
                        url: '/user/pay/:courseid:userid:name:price:agentid:orderid',
                        views: {
                            'tab-user': {
                                templateUrl: 'templates/pay-affirm.html',
                                controller: 'PayCtrl'
                            }
                        }
                    });
            // app首先加载页
            $urlRouterProvider.otherwise('/reward');

        });

module.directive('hideTabs', function($rootScope) {
    return {
        restrict: 'A',
        link: function(scope, element, attributes) {
            // pus时调用
            scope.$watch(attributes.hideTabs, function(value){
                // pus计数用 $rootScope.appPage＝1时 显示tabBar
                $rootScope.appPage = $rootScope.appPage + 1;
                console.log('$rootScope.appPage = ');
                console.log($rootScope.appPage);
                if ($rootScope.appPage) {
                    $rootScope.hideTabs = true;
                }
            });

            // pop时调用
            scope.$on('$destroy', function() {
                if ($rootScope.appPage <= 1) {
                    $rootScope.appPage = 1;
                } else {
                    $rootScope.appPage = $rootScope.appPage - 1;
                }
                console.log('$rootScope.appPage = ' + $rootScope.appPage);
                if ($rootScope.appPage == 1) {
                    $rootScope.hideTabs = false;
                }
            });
        }
    };
});